//
//  DeleteEcaArea.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/11/28.
//

import Foundation

class DeleteEcaArea {
    var sessionTaskList = SessionTaskList()

    func start(ecaId : Int) {
        print(debug: "called")
        sessionTaskList.RequestDeleteTaskList(ecaId, completion: responseDeleteTaskList)
    }

    private func responseDeleteTaskList(result: Result<Data, APIError>) {
        print(debug: "called")
        switch result {
        case .success(let resultData):
            print(debug: resultData)
        case .failure(let errorCode):
            print(debug: errorCode)
            break
        }
    }
}
